Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.condition
Class IsFailure

    java.lang.Object
      org.apache.tools.ant.taskdefs.condition.IsFailure

All Implemented Interfaces:
  Condition

    public class IsFailure

extends java.lang.Object
implements Condition

Condition to test a return-code for failure.

Since:
  Ant 1.7

Constructor Summary
`IsFailure()`

Method Summary
`boolean` | `eval()` Fulfill the condition interface.
`int` | `getCode()` Get the return code that will be checked by this IsFailure condition.
`void` | `setCode(int c)` Set the return code to check.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IsFailure

    public IsFailure()

Method Detail

### setCode

    public void setCode(int c)

  Set the return code to check.

  Parameters:
    `c` - the return code.

### getCode

    public int getCode()

  Get the return code that will be checked by this IsFailure condition.

  Returns:
    return code as int.

### eval

    public boolean eval()

  Fulfill the condition interface.

  Specified by:
    `eval` in interface `Condition`
  Returns:
    the result of evaluating the specified return code.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD